Subject: Please publish draft-ietf-ccamp-gmpls-addressing-07.txt

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 9 May 2007 10:30:40 +0100

Please publish draft-ietf-ccamp-gmpls-addressing-07.txt as an
Informational RFC.

Here is the Document Shepherd write-up.

>(1.a)  Who is the Document Shepherd for this document?
>
>       Adrian Farrel <[email-masked]>
>
>       Has the Document Shepherd personally reviewed this version
>       of the document and, in particular, does he or she believe
>       this version is ready for forwarding to the IESG for
>       publication?
 
        Yes
 
>(1.b)  Has the document had adequate review both from key WG
>       members and from key non-WG members?
 
        Yes
 
>       Does the Document Shepherd have any concerns about the
>       depth or breadth of the reviews that have been performed?
 
        No concerns.
 
>(1.c)  Does the Document Shepherd have concerns that the document
>       needs more review from a particular or broader perspective,
>       e.g., security, operational complexity, someone familiar
>       with AAA, internationalization or XML?
 
        No concerns.
 
>(1.d)  Does the Document Shepherd have any specific concerns or
>       issues with this document that the Responsible Area
>       Director and/or the IESG should be aware of?  For example,
>       perhaps he or she is uncomfortable with certain parts of
>       the document, or has concerns whether there really is a
>       need for it.  In any event, if the WG has discussed those
>       issues and has indicated that it still wishes to advance
>       the document, detail those concerns here.
 
        No concerns.
 
>       Has an IPR disclosure related to this document
>       been filed?  If so, please include a reference to the
>       disclosure and summarize the WG discussion and conclusion
>       on this issue.
 
        None has been filed.
 
>(1.e)  How solid is the WG consensus behind this document?  Does
>       it represent the strong concurrence of a few individuals,
>       with others being silent, or does the WG as a whole
>       understand and agree with it?
 
        WG agrees.
 
>(1.f)  Has anyone threatened an appeal or otherwise indicated
>       extreme discontent?  If so, please summarise the areas of
>       conflict in separate email messages to the Responsible Area
>       Director.  (It should be in a separate email because this
>       questionnaire is entered into the ID Tracker.)
 
        No.
 
>(1.g)  Has the Document Shepherd personally verified that the
>       document satisfies all ID nits?  (See
>       http://www.ietf.org/ID-Checklist.html and
>       http://tools.ietf.org/tools/idnits/).  Boilerplate checks
>       are not enough; this check needs to be thorough.
 
        Yes.
 
>       Has the document met all formal review criteria it needs
>       to, such as the MIB Doctor, media type and URI type
>       reviews?
 
        Yes.
 
>(1.h)  Has the document split its references into normative and
>       informative?
 
        Yes.
 
>       Are there normative references to documents that
>       are not ready for advancement or are otherwise in an
>       unclear state?  If such normative references exist, what is
>       the strategy for their completion?
 
        All OK.
 
>       Are there normative references that are downward
>       references, as described in [RFC3967]?  If so, list these
>       downward references to support the Area Director in the
>       Last Call procedure for them [RFC3967].
 
        No.
 
>(1.i)  Has the Document Shepherd verified that the document IANA
>       consideration section exists and is consistent with the
>       body of the document?  If the document specifies protocol
>       extensions, are reservations requested in appropriate IANA
>       registries?  Are the IANA registries clearly identified?
>       If the document creates a new registry, does it define the
>       proposed initial contents of the registry and an allocation
>       procedure for future registrations?  Does it suggest a
>       reasonable name for the new registry?  See [RFC2434].
 
        IANA section is correct. No IANA action required. 
 
>       If the document describes an Expert Review process has
>       Shepherd conferred with the Responsible Area Director so
>       that the IESG can appoint the needed Expert during the IESG
>       Evaluation?
 
        None required.
 
>(1.j)  Has the Document Shepherd verified that sections of the
>       document that are written in a formal language, such as XML
>       code, BNF rules, MIB definitions, etc., validate correctly
>       in an automated checker?
 
        Not applicable.
 
>(1.k)  The IESG approval announcement includes a Document
>       Announcement Write-Up.  Please provide such a Document
>       Announcement Write-Up?  Recent examples can be found in the
>       "Action" announcements for approved documents.  The
>       approval announcement contains the following sections:

> Technical Summary

   This document clarifies the use of addresses in Generalized
   Multi-Protocol Label Switching (GMPLS) networks. The aim is to
   facilitate interworking of GMPLS-capable Label Switching Routers
   (LSRs). The document is based on experience gained in implementation,
   interoperability testing, and deployment.

   The document describes how to interpret address and identifier fields
   within GMPLS protocols, and how to choose which addresses to set in
   those fields for specific control plane usage models. It also
   discusses how to handle IPv6 sources and destinations in the MPLS and
   GMPLS Traffic Engineering (TE) Management Information Base (MIB)
   modules.

> Working Group Summary

  The Working Group had consensus on this document.

  However, there was considerable debate as to whether this should be an
  Informational RFC, a BCP, or a Standards Track RFC. The WG was unable 
  to get a clear understanding of how this document should fit in to the
  defined categories.
  - It was felt that much if not all of the clarifications present in
    this document were already present as procedural rules in existing
    RFCs (which are referenced). Thus, making this document Standards
    Track would have caused duplication of definitions. However, earlier
    versions of this document used RFC2119 language and that appeared to
    make it a Standards Track document.
  - BCP was seriously considered, however it was felt that for most of
    the clarifications the procedures were already defined in the
    referenced RFCs and so no BCP was strictly needed.
  Thus the document is requested for publication as an Informational RFC
  and has been appropriately updated so that no RFC2119 language is used.

> Document Quality

  This document is based upon experience collected from implementers and
  from interoperability events.

> Personnel
>
> Who is the Document Shepherd for this document?

  Adrian Farrel <[email-masked]>

> Who is the Responsible Area Director(s)?

  Ross Callon, David Ward.

> Is an IANA expert needed?

  No.

Thanks,
Adrian